Name:           polyxmass-common
Version:        0.8.7
Release:        5%{?dist}
Summary:        Contains all textual/graphical data required for polyxmass

Group:          Applications/Engineering
License:        GPL
URL:            http://www.polyxmass.org
Source0:        http://www.polyxmass.org/polyxmass-common-data-doc/downloads/0.8.7/polyxmass-common-0.8.7.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:  noarch
Requires:       polyxmass-bin >= %{version}
Requires:       polyxmass-data

%description
GNU polyxmassdata is a platform-independent package that contains all
textual/graphical data required to run the GNU polyxmass software out of
the box.  Namely, GNU polyxmassdata contains configuration files describing
polymer chemistry for a number of polymer types commonly found in nature:
protein, dna, rna, saccharides. These polymer chemistry definitions are
examples, and should be carefully reviewed by the user of the GNU polyxmass
software, in order to make sure that they fulfill their task in the
best way.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README THANKS TODO
%config %{_sysconfdir}/polyxmass/chempad.conf
%{_sysconfdir}/polyxmass/atom-defs/polyxmass-common-atom-defs-cat
%{_sysconfdir}/polyxmass/polchem-defs/polyxmass-common-polchem-defs-atom-defs-dic
%{_sysconfdir}/polyxmass/polchem-defs/polyxmass-common-polchem-defs-cat
%{_mandir}/man7/*
%{_datadir}/polyxmass/*
%exclude %{_datadir}/doc/*

%changelog
* Fri Feb 17 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.7-5
- Rebuild for Fedora Extras 5

* Tue Nov 01 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.7-4
- add %config chempad.conf
- add dist 

* Wed Oct 26 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.7-3
- require -data and give dir ownership to of pol-seqs and polchem-defs to it

* Sun Oct 23 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.7-2
- exclude files which are in -data

* Tue Sep 06 2005 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
0.8.7-1
- Initial Release
